Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPoll

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPoll
                          org.richfaces.component.UIPoll

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIPoll

extends AbstractPoll
implements javax.faces.component.behavior.ClientBehaviorHolder

Component for periodically call AJAX events on server ( poll actions )

Author:
  shura

Nested Class Summary
`protected static class` | `UIPoll.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractPoll
`BEFOREDOMUPDATE, BEGIN, COMPLETE, ON_BEFOREDOMUPDATE, ON_BEGIN, ON_COMPLETE, ON_TIMER, TIMER`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIPoll()`

Method Summary
`java.lang.Object` | `getData()`
`java.lang.String` | `getDefaultEventName()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.Object` | `getExecute()`
`java.lang.String` | `getFamily()`
`int` | `getInterval()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnbegin()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOntimer()`
`java.lang.Object` | `getRender()`
`java.lang.String` | `getStatus()`
`boolean` | `isBypassUpdates()`
`boolean` | `isEnabled()`
`boolean` | `isLimitRender()`
`void` | `setBypassUpdates(boolean bypassUpdates)`
`void` | `setData(java.lang.Object data)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExecute(java.lang.Object execute)`
`void` | `setInterval(int interval)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforedomupdate(java.lang.String onbeforedomupdate)`
`void` | `setOnbegin(java.lang.String onbegin)`
`void` | `setOncomplete(java.lang.String oncomplete)`
`void` | `setOntimer(java.lang.String ontimer)`
`void` | `setRender(java.lang.Object render)`
`void` | `setStatus(java.lang.String status)`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`queueEvent`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIPoll

    public UIPoll()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isBypassUpdates

    public boolean isBypassUpdates()

  Specified by:
    `isBypassUpdates` in class `AbstractActionComponent`

### setBypassUpdates

    public void setBypassUpdates(boolean bypassUpdates)

  Specified by:
    `setBypassUpdates` in class `AbstractActionComponent`

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object data)

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in class `AbstractPoll`

### setEnabled

    public void setEnabled(boolean enabled)

### getExecute

    public java.lang.Object getExecute()

### setExecute

    public void setExecute(java.lang.Object execute)

### getInterval

    public int getInterval()

  Specified by:
    `getInterval` in class `AbstractPoll`

### setInterval

    public void setInterval(int interval)

### isLimitRender

    public boolean isLimitRender()

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String onbeforedomupdate)

### getOnbegin

    public java.lang.String getOnbegin()

### setOnbegin

    public void setOnbegin(java.lang.String onbegin)

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String oncomplete)

### getOntimer

    public java.lang.String getOntimer()

  Specified by:
    `getOntimer` in class `AbstractPoll`

### setOntimer

    public void setOntimer(java.lang.String ontimer)

### getRender

    public java.lang.Object getRender()

### setRender

    public void setRender(java.lang.Object render)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.